#Include "wx-c 0.9.2/wx.bi"

Declare Function App_OnInit WXCALL ( ) As wxBool
Declare Function App_OnExit WXCALL ( ) As wxInt


Dim Shared As wxApp Ptr wx_app
Dim Shared As wxFrame Ptr wx_frame
Dim Shared As wxPanel Ptr wx_panel

Function App_OnInit WXCALL ( ) As wxBool
	
	wx_frame = wxFrame_ctor( )
	wxFrame_Create( wx_frame, WX_NULL, -1, wxString_ctorUTF8("xmlTest"), 440, 312, 351, 214, wxFRAME_DEFAULT_STYLE Or wxCLOSE_BOX Xor wxMAXIMIZE_BOX Xor wxRESIZE_BORDER, WX_NULL )
	wx_panel = wxPanel_ctor2( wx_frame, -1, -1, -1, -1, -1, 0, WX_NULL )
	
	''
	'' create widget textctrl0
	''
	Dim As wxTextCtrl Ptr textctrl0
	textctrl0 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl0, wx_panel, -1, wxString_ctorUTF8(""), 110, 30, -1, -1, 0, 0, 0 )
	
	
	''
	'' create widget textctrl1
	''
	Dim As wxTextCtrl Ptr textctrl1
	textctrl1 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl1, wx_panel, -1, wxString_ctorUTF8("bla"), 110, 70, -1, -1, 0, 0, 0 )
	
	
	''
	'' create widget textctrl2
	''
	Dim As wxTextCtrl Ptr textctrl2
	textctrl2 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl2, wx_panel, -1, wxString_ctorUTF8(""), 110, 110, -1, -1, 0, 0, 0 )
	
	
	''
	'' create widget textctrl3
	''
	Dim As wxTextCtrl Ptr textctrl3
	textctrl3 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl3, wx_panel, -1, wxString_ctorUTF8(""), 110, 150, -1, -1, 0, 0, 0 )
	
	
	''
	'' create widget textctrl4
	''
	Dim As wxTextCtrl Ptr textctrl4
	textctrl4 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl4, wx_panel, -1, wxString_ctorUTF8(""), 220, 70, -1, -1, 0, 0, 0 )
	
	
	''
	'' create widget textctrl5
	''
	Dim As wxTextCtrl Ptr textctrl5
	textctrl5 = wxTextCtrl_ctor( )
	wxTextCtrl_Create( textctrl5, wx_panel, -1, wxString_ctorUTF8(""), 220, 110, -1, -1, 0, 0, 0 )
	
	
	wxWindow_Show( wx_frame, 1 )
	wxApp_OnInit( wx_app )
	Return 1
	
End Function

Function App_OnExit WXCALL ( ) As wxInt
	
	Return wxApp_OnExit( wx_app )
	
End Function


''main
wx_app = wxApp_ctor( )
wxApp_RegisterVirtual ( wx_app, @App_OnInit, @App_OnExit )
wxApp_Run(0, 0)
